<div class="grid md:grid-cols-2 grid-cols-1">
  <mat-icon class="absolute right-2 top-1 cursor-pointer text-2xl text-black" (click)="close()">close</mat-icon>
  <div class=" w-full h-full hidden sm:block" *ngIf="popupBanner">
    <img [src]="popupBanner.node.file" alt="grid1" class="img-popup object-cover">
  </div>
  <div class=" w-full h-full items-center px-5 md:p-10 py-7 text-black">
    <p class="text-center text-2xl  font-bold">Không bỏ lỡ các chương trình khuyến mãi của AB Home Decoration</p>
    <p class="text-center text-lg  font-semibold py-4">Để lại thông tin của bạn để sở hữu đặc quyền từ AB Decoration</p>
    <form [formGroup]="contactForm" #formDirective="ngForm">
      <!-- <mat-form-field class="w-full" appearance="outline">
          <mat-label class="text-capitalize">Họ tên</mat-label>
          <input matInput formControlName="firstName" />
      </mat-form-field>
      <mat-form-field class="w-full" appearance="outline">
        <mat-label class="text-capitalize">Email</mat-label>
        <input matInput formControlName="Email ưu đãi" />
    </mat-form-field>
    <mat-form-field class="w-full" appearance="outline">
      <mat-label class="text-capitalize">Số điện thoại</mat-label>
      <input matInput formControlName="phone" />
  </mat-form-field> -->
      <div>
        <input
          class="shadow appearance-none border border-gray-300 rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline"
          id="name" type="text" placeholder="Họ tên" formControlName="firstName">
      </div>
      <div>
        <input
          class="shadow appearance-none border border-gray-300 rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline"
          id="email" type="text" placeholder="Email ưu đãi" formControlName="email">
      </div>
      <div>
        <input
          class="bg-white shadow appearance-none border border-gray-300 rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline"
           placeholder="Số điện thoại" formControlName="phone">
      </div>
      <div class="pt-2">
        <button class="bg-custom text-white 
        font-bold w-full py-2 px-4  focus:outline-none focus:shadow-outline" type="button" (click)="onSubmitForm()">
          Đăng ký
        </button>
      </div>
    </form>

  </div>
</div>